> For the complete documentation index, see [llms.txt](https://docs.geopard.tech/geopard-tutorials/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.geopard.tech/geopard-tutorials/it/documentazione-api/panoramica-delle-richieste-api-geopard/1.-sottoscrizione-ottieni-eventi.md).

# 1. Sottoscrizione: ottieni eventi

Seguire le sottoscrizioni quando `INSERIRE`/`MODIFICARE`/`RIMUOVERE` azioni avvengono con "Farm", "Field", "FieldSatelliteImage", "RasterAnalysisMap", "VectorAnalysisMap", altre entità.

Il meccanismo di sottoscrizione è costruito sopra MQTT e WebSocket. La nostra raccomandazione è di iniziare l'integrazione leggendo il [articolo AWS AppSync sulle sottoscrizioni](https://docs.aws.amazon.com/appsync/latest/devguide/real-time-websocket-client.html).&#x20;

{% hint style="info" %}
Gli eventi di sottoscrizione vengono inviati non appena l'evento si è verificato nel backend di GeoPard.
{% endhint %}

{% hint style="info" %}
Ogni evento di sottoscrizione ha un'identificazione unica chiamata `uuid`, che è utile per filtrare gli eventi processati e mancati richiesti da [82. Query: Ripristina eventi di sottoscrizione](/geopard-tutorials/it/documentazione-api/panoramica-delle-richieste-api-geopard/82.-query-ripristina-gli-eventi-della-sottoscrizione.md).
{% endhint %}

{% code lineNumbers="true" %}

```graphql
sottoscrizione FollowPlatformEvent {
  followPlatformEvent(userUuid: "<placeholder_of_user_uuid>") {
    uuid
    userUuid
    azione
    nodePath {
      entità
      uuid
    }
  }
}
```

{% endcode %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.geopard.tech/geopard-tutorials/it/documentazione-api/panoramica-delle-richieste-api-geopard/1.-sottoscrizione-ottieni-eventi.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
